Package org.apache.tools.ant.taskdefs.condition

# Class Or

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.taskdefs.condition.ConditionBase
org.apache.tools.ant.taskdefs.condition.Or

All Implemented Interfaces:
  `Cloneable`, `Condition`

public class Or extends ConditionBase implements Condition
<or> condition container.

Iterates over all conditions and returns true as soon as one evaluates to true.

Since:
  Ant 1.4

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Or()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `eval()`
  Is this condition true?

  ### Methods inherited from class org.apache.tools.ant.taskdefs.condition.ConditionBase

  `add, addAnd, addAvailable, addChecksum, addContains, addEquals, addFilesMatch, addHttp, addIsFalse, addIsFileSelected, addIsReference, addIsSet, addIsTrue, addNot, addOr, addOs, addSocket, addUptodate, countConditions, getConditions, getTaskName, setTaskName`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Or

    public Or()

- ## Method Details

  - ### eval

    public boolean eval() throws BuildException
    Description copied from interface: `Condition`
    Is this condition true?
    Specified by:
      `eval` in interface `Condition`
    Returns:
      true if any of the contained conditions evaluate to true
    Throws:
      `BuildException` - if an error occurs